package com.casic.missiles.invoke.util;

import org.springframework.web.bind.annotation.RequestMethod;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * 报文编号生成工具
 */
public class SRUtil {

    public static void main(String[] args) {
    }

    public static String genSr() {
       return "SR".concat(genSr());
    }
    public static String ipAdr(){
        InetAddress addr = null;
        try {
            addr = InetAddress.getLocalHost();
            return addr.getHostAddress();
        } catch (UnknownHostException e) {
            e.printStackTrace();
        }
        return null;
    }

}
